#!/usr/bin/env ruby
# coding: utf-8

require"webrick"
require"find"

#どのフォルダをとるの？
ROOTDIR = File.expand_path(File.join(File.dirname(__FILE__), "root"))

#Webを立てるための変数
srv = WEBrick::HTTPServer.new(DocumentRoot:Dir.pwd, Port:8080)

#ROOTDIRのなかみをたどるよ
Find.find(ROOTDIR) do |f|
  #ファイルがファイルか？実行可能かを調べる
  if File.file?(f) and File.executable?(f)
    #対象のファイルをマウントするよ
    srv.mount(f.delete_prefix(ROOTDIR), WEBrick::HTTPServlet::CGIHandler, f)
  end
end

#起動しちゃうよ
srv.start
